<h1>Questionnaires</h1>

<div class="mat-elevation-z8">
  <table mat-table class="full-width-table" [dataSource]="dataSource" matSort aria-label="Elements">
    <!-- Id Column -->
    <ng-container matColumnDef="id">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>Questionnaire ID</th>
      <td mat-cell *matCellDef="let row">{{row.id}}</td>
    </ng-container>

  <!--  &lt;!&ndash; Img Column &ndash;&gt;
    <ng-container matColumnDef="image">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>image</th>
      <td mat-cell *matCellDef="let row"><img src="favicon.ico"></td>
    </ng-container>-->

    <!-- Name Column -->
    <ng-container matColumnDef="name">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>Questionnaire Name</th>
      <td mat-cell *matCellDef="let row">{{row.name}}</td>
    </ng-container>

    <!-- Edit Column -->
    <ng-container matColumnDef="edit">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>Edit</th>
      <td mat-cell *matCellDef="let row"><admin-questionnaire-sub-menu [questionnaire]="row"></admin-questionnaire-sub-menu></td>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
  </table>

  <mat-paginator #paginator
                 [length]="dataSource.total"
                 [pageIndex]="0"
                 [pageSize]="50"
                 [pageSizeOptions]="[25, 50, 100, 250]">
  </mat-paginator>
</div>
